Package org.apache.commons.compress.harmony.pack200

# Class IcBands

java.lang.Object
org.apache.commons.compress.harmony.pack200.BandSet
org.apache.commons.compress.harmony.pack200.IcBands

public class IcBands extends BandSet
Inner class bands (corresponds to the `ic_bands` set of bands in the pack200 specification)

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.commons.compress.harmony.pack200.BandSet

  `BandSet.BandAnalysisResults, BandSet.BandData`

- ## Field Summary

  ### Fields inherited from class org.apache.commons.compress.harmony.pack200.BandSet

  `segmentHeader`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IcBands(SegmentHeader segmentHeader, CpBands cpBands, int effort)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addInnerClass(String name, String outerName, String innerName, int flags)`
  `void`
  `finaliseBands()`
  All input classes for the segment have now been read in, so this method is called so that this class can calculate/complete anything it could not do while classes were being read.
  `org.apache.commons.compress.harmony.pack200.IcBands.IcTuple`
  `getIcTuple(CPClass inner)`
  `List<org.apache.commons.compress.harmony.pack200.IcBands.IcTuple>`
  `getInnerClassesForOuter(String outerClassName)`
  `void`
  `pack(OutputStream outputStream)`
  Write the packed set of bands to the given output stream

  ### Methods inherited from class org.apache.commons.compress.harmony.pack200.BandSet

  `cpEntryListToArray, cpEntryOrNullListToArray, encodeBandInt, encodeFlags, encodeFlags, encodeScalar, encodeScalar, integerListToArray, longListToArray`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IcBands

    public IcBands(SegmentHeader segmentHeader, CpBands cpBands, int effort)

- ## Method Details

  - ### addInnerClass

    public void addInnerClass(String name, String outerName, String innerName, int flags)

  - ### finaliseBands

    public void finaliseBands()
    All input classes for the segment have now been read in, so this method is called so that this class can calculate/complete anything it could not do while classes were being read.

  - ### getIcTuple

    public org.apache.commons.compress.harmony.pack200.IcBands.IcTuple getIcTuple(CPClass inner)

  - ### getInnerClassesForOuter

    public List<org.apache.commons.compress.harmony.pack200.IcBands.IcTuple> getInnerClassesForOuter(String outerClassName)

  - ### pack

    public void pack(OutputStream outputStream) throws IOException, Pack200Exception
    Description copied from class: `BandSet`
    Write the packed set of bands to the given output stream
    Specified by:
      `pack` in class `BandSet`
    Parameters:
      `outputStream` - TODO
    Throws:
      `IOException` - If an I/O error occurs.
      `Pack200Exception` - TODO